## ros-melodic-husky-base 0.4.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(husky_base)

find_package(catkin REQUIRED COMPONENTS controller_manager hardware_interface husky_msgs
  diagnostic_updater roslaunch roslint roscpp sensor_msgs)
find_package(Boost REQUIRED COMPONENTS chrono)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES horizon_legacy
  CATKIN_DEPENDS diagnostic_updater hardware_interface husky_msgs roscpp sensor_msgs
  DEPENDS Boost
)

include_directories(include ${Boost_INCLUDE_DIRS} ${catkin_INCLUDE_DIRS})

set_directory_properties(PROPERTIES COMPILE_OPTIONS "-std=c++11;")

add_library(horizon_legacy
  src/horizon_legacy/crc.cpp
  src/horizon_legacy/Logger.cpp
  src/horizon_legacy/Message.cpp
  src/horizon_legacy/Message_data.cpp
  src/horizon_legacy/Message_request.cpp
  src/horizon_legacy/Message_cmd.cpp
  src/horizon_legacy/Transport.cpp
  src/horizon_legacy/Number.cpp
  src/horizon_legacy/linux_serial.cpp
)

add_executable(husky_node
  src/husky_base.cpp
  src/husky_hardware.cpp
  src/husky_diagnostics.cpp
  src/horizon_legacy_wrapper.cpp)
target_link_libraries(husky_node horizon_legacy ${catkin_LIBRARIES} ${Boost_LIBRARIES})

roslint_cpp(
  src/husky_base.cpp
  src/husky_hardware.cpp
  src/husky_diagnostics.cpp
  include/husky_base/husky_diagnostics.h
  include/husky_base/husky_hardware.h
)

roslaunch_add_file_check(launch)

install(TARGETS horizon_legacy husky_node
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

install(DIRECTORY launch config
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-melodic-husky-base (0.4.5-1stretch) stretch; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 01 Oct 2020 04:00:00 -0000

ros-melodic-husky-base (0.4.4-1stretch) stretch; urgency=high

  * Removed Paul Bovbel as maintainer.
  * Contributors: Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 13 Aug 2020 04:00:00 -0000

ros-melodic-husky-base (0.4.3-1stretch) stretch; urgency=high



 -- Paul Bovbel <paul@bovbel.com>  Mon, 20 Apr 2020 04:00:00 -0000

ros-melodic-husky-base (0.4.2-1stretch) stretch; urgency=high



 -- Paul Bovbel <paul@bovbel.com>  Wed, 11 Dec 2019 05:00:00 -0000

ros-melodic-husky-base (0.4.1-1stretch) stretch; urgency=high



 -- Paul Bovbel <paul@bovbel.com>  Mon, 30 Sep 2019 04:00:00 -0000

ros-melodic-husky-base (0.4.0-1stretch) stretch; urgency=high



 -- Paul Bovbel <paul@bovbel.com>  Thu, 01 Aug 2019 04:00:00 -0000

ros-melodic-husky-base (0.3.4-1stretch) stretch; urgency=high



 -- Paul Bovbel <paul@bovbel.com>  Thu, 01 Aug 2019 04:00:00 -0000

ros-melodic-husky-base (0.3.3-1stretch) stretch; urgency=high



 -- Paul Bovbel <paul@bovbel.com>  Thu, 18 Apr 2019 04:00:00 -0000

ros-melodic-husky-base (0.3.2-1stretch) stretch; urgency=high



 -- Paul Bovbel <paul@bovbel.com>  Mon, 25 Mar 2019 04:00:00 -0000

ros-melodic-husky-base (0.3.1-1stretch) stretch; urgency=high



 -- Paul Bovbel <paul@bovbel.com>  Thu, 02 Aug 2018 04:00:00 -0000

ros-melodic-husky-base (0.3.0-1stretch) stretch; urgency=high

  * Fix default tyre radius
  * changed the tire radius in base.launch to reflect a 13 inch Husky outdoor tire
  * Remove defunct email address
  * Updated maintainers.
  * Update bringup for multirobot
  * Update URDF for multirobot
  * Move packages into monorepo for kinetic; strip out ur packages
  * Contributors: Martin Cote, Paul Bovbel, Tony Baltovski, Wolfgang Merkt

 -- Paul Bovbel <paul@bovbel.com>  Wed, 11 Apr 2018 04:00:00 -0000

ros-melodic-husky-base (0.2.6-1stretch) stretch; urgency=high

  * Adding support for the UM7 IMU.
  * Contributors: Tony Baltovski

 -- Paul Bovbel <paul@bovbel.com>  Mon, 03 Oct 2016 04:00:00 -0000

ros-melodic-husky-base (0.2.5-1stretch) stretch; urgency=high

  * Fix absolute value to handle negative rollover readings effectively
  * Another bitwise fix, now for x86.
  * Formatting
  * Fix length complement check.
    There's a subtle difference in how ~ is implemented in aarch64 which
    causes this check to fail. The new implementation should work on x86
    and ARM.
  * Contributors: Mike Purvis, Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Thu, 31 Dec 2015 05:00:00 -0000

ros-melodic-husky-base (0.2.4-1stretch) stretch; urgency=high



 -- Paul Bovbel <paul@bovbel.com>  Wed, 08 Jul 2015 04:00:00 -0000

ros-melodic-husky-base (0.2.3-1stretch) stretch; urgency=high

  * Integrate husky_customization workflow
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Wed, 08 Apr 2015 04:00:00 -0000

ros-melodic-husky-base (0.2.2-1stretch) stretch; urgency=high

  * Fix package urls
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Mon, 23 Mar 2015 04:00:00 -0000

ros-melodic-husky-base (0.2.1-1stretch) stretch; urgency=high

  * Add missing dependencies
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Mon, 23 Mar 2015 04:00:00 -0000

ros-melodic-husky-base (0.2.0-1stretch) stretch; urgency=high

  * Add UR5_ENABLED envvar
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Mon, 23 Mar 2015 04:00:00 -0000

ros-melodic-husky-base (0.1.5-1stretch) stretch; urgency=high

  * Fix duration cast
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Thu, 19 Feb 2015 05:00:00 -0000

ros-melodic-husky-base (0.1.4-1stretch) stretch; urgency=high

  * Correct issues with ROS time discontinuities - now using monotonic time source
  * Implement a sane retry policy for communication with MCU
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Fri, 13 Feb 2015 05:00:00 -0000

ros-melodic-husky-base (0.1.3-1stretch) stretch; urgency=high

  * Update description and maintainers
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Fri, 30 Jan 2015 05:00:00 -0000

ros-melodic-husky-base (0.1.2-1stretch) stretch; urgency=high

  * Fix library install location
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Tue, 20 Jan 2015 05:00:00 -0000

ros-melodic-husky-base (0.1.1-1stretch) stretch; urgency=high

  * Add missing description dependency
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Tue, 13 Jan 2015 05:00:00 -0000

ros-melodic-husky-base (0.1.0-1stretch) stretch; urgency=high

  * Fixed encoder overflow issue
  * Ported to ros_control for Indigo release
  * Contributors: Mike Purvis, Paul Bovbel, finostro

 -- Paul Bovbel <paul@bovbel.com>  Mon, 12 Jan 2015 05:00:00 -0000

ros-melodic-husky-base (0.0.5-1stretch) stretch; urgency=high

  * Mark the config directory to install.

 -- Paul Bovbel <paul@bovbel.com>  Fri, 04 Oct 2013 04:00:00 -0000

ros-melodic-husky-base (0.0.4-1stretch) stretch; urgency=high

  * Parameterize husky port in env variable.

 -- Paul Bovbel <paul@bovbel.com>  Thu, 03 Oct 2013 04:00:00 -0000

ros-melodic-husky-base (0.0.3-1stretch) stretch; urgency=high

  * Add launchfile check.
  * removing imu processing by dead_reckoning.py
  * removing dynamic reconfigure from dead_reckoning because it was only there for handling gyro correction
  * adding diagnostic aggregator and its related config file under config/diag_agg.yaml

 -- Paul Bovbel <paul@bovbel.com>  Tue, 24 Sep 2013 04:00:00 -0000

ros-melodic-husky-base (0.0.2-1stretch) stretch; urgency=high

  * Fix diagnostic_msgs dependency.

 -- Paul Bovbel <paul@bovbel.com>  Wed, 11 Sep 2013 04:00:00 -0000

ros-melodic-husky-base (0.0.1-1stretch) stretch; urgency=high

  * New husky_base package for Hydro, which contains the nodes
    formerly in husky_bringup.



=== debian/control ===
Source: ros-melodic-husky-base
Section: misc
Priority: optional
Maintainer: Tony Baltovski <tbaltovski@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-controller-manager, ros-melodic-diagnostic-msgs, ros-melodic-diagnostic-updater, ros-melodic-hardware-interface, ros-melodic-husky-msgs, ros-melodic-roscpp, ros-melodic-roslaunch, ros-melodic-roslint, ros-melodic-sensor-msgs
Homepage: http://ros.org/wiki/husky_base
Standards-Version: 3.9.2

Package: ros-melodic-husky-base
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-controller-manager, ros-melodic-diagnostic-aggregator, ros-melodic-diagnostic-msgs, ros-melodic-diagnostic-updater, ros-melodic-diff-drive-controller, ros-melodic-geometry-msgs, ros-melodic-hardware-interface, ros-melodic-husky-control, ros-melodic-husky-description, ros-melodic-husky-msgs, ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-topic-tools
Description: Clearpath Husky robot driver

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-husky-base//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-husky-base 0.4.13

=== debian/changelog ===
ros-melodic-husky-base (0.4.13-1bionic) bionic; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 25 Nov 2022 05:00:00 -0000

ros-melodic-husky-base (0.4.12-1bionic) bionic; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 17 Jan 2022 05:00:00 -0000

ros-melodic-husky-base (0.4.11-1bionic) bionic; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 14 Jan 2022 05:00:00 -0000

ros-melodic-husky-base (0.4.10-1bionic) bionic; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Sun, 18 Jul 2021 04:00:00 -0000

ros-melodic-husky-base (0.4.9-1bionic) bionic; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 15 Jul 2021 04:00:00 -0000

ros-melodic-husky-base (0.4.8-1bionic) bionic; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 01 Apr 2021 04:00:00 -0000

ros-melodic-husky-base (0.4.7-1bionic) bionic; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 16 Mar 2021 04:00:00 -0000

ros-melodic-husky-base (0.4.6-1bionic) bionic; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 09 Mar 2021 05:00:00 -0000

ros-melodic-husky-base (0.4.5-1bionic) bionic; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 01 Oct 2020 04:00:00 -0000

ros-melodic-husky-base (0.4.4-1bionic) bionic; urgency=high

  * Removed Paul Bovbel as maintainer.
  * Contributors: Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 13 Aug 2020 04:00:00 -0000

ros-melodic-husky-base (0.4.3-1bionic) bionic; urgency=high



 -- Paul Bovbel <paul@bovbel.com>  Mon, 20 Apr 2020 04:00:00 -0000

ros-melodic-husky-base (0.4.2-1bionic) bionic; urgency=high



 -- Paul Bovbel <paul@bovbel.com>  Wed, 11 Dec 2019 05:00:00 -0000

ros-melodic-husky-base (0.4.1-1bionic) bionic; urgency=high



 -- Paul Bovbel <paul@bovbel.com>  Mon, 30 Sep 2019 04:00:00 -0000

ros-melodic-husky-base (0.4.0-1bionic) bionic; urgency=high



 -- Paul Bovbel <paul@bovbel.com>  Thu, 01 Aug 2019 04:00:00 -0000

ros-melodic-husky-base (0.3.4-1bionic) bionic; urgency=high



 -- Paul Bovbel <paul@bovbel.com>  Thu, 01 Aug 2019 04:00:00 -0000

ros-melodic-husky-base (0.3.3-1bionic) bionic; urgency=high



 -- Paul Bovbel <paul@bovbel.com>  Thu, 18 Apr 2019 04:00:00 -0000

ros-melodic-husky-base (0.3.2-1bionic) bionic; urgency=high



 -- Paul Bovbel <paul@bovbel.com>  Mon, 25 Mar 2019 04:00:00 -0000

ros-melodic-husky-base (0.3.1-1bionic) bionic; urgency=high



 -- Paul Bovbel <paul@bovbel.com>  Thu, 02 Aug 2018 04:00:00 -0000

ros-melodic-husky-base (0.3.0-1bionic) bionic; urgency=high

  * Fix default tyre radius
  * changed the tire radius in base.launch to reflect a 13 inch Husky outdoor tire
  * Remove defunct email address
  * Updated maintainers.
  * Update bringup for multirobot
  * Update URDF for multirobot
  * Move packages into monorepo for kinetic; strip out ur packages
  * Contributors: Martin Cote, Paul Bovbel, Tony Baltovski, Wolfgang Merkt

 -- Paul Bovbel <paul@bovbel.com>  Wed, 11 Apr 2018 04:00:00 -0000

ros-melodic-husky-base (0.2.6-1bionic) bionic; urgency=high

  * Adding support for the UM7 IMU.
  * Contributors: Tony Baltovski

 -- Paul Bovbel <paul@bovbel.com>  Mon, 03 Oct 2016 04:00:00 -0000

ros-melodic-husky-base (0.2.5-1bionic) bionic; urgency=high

  * Fix absolute value to handle negative rollover readings effectively
  * Another bitwise fix, now for x86.
  * Formatting
  * Fix length complement check.
    There's a subtle difference in how ~ is implemented in aarch64 which
    causes this check to fail. The new implementation should work on x86
    and ARM.
  * Contributors: Mike Purvis, Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Thu, 31 Dec 2015 05:00:00 -0000

ros-melodic-husky-base (0.2.4-1bionic) bionic; urgency=high



 -- Paul Bovbel <paul@bovbel.com>  Wed, 08 Jul 2015 04:00:00 -0000

ros-melodic-husky-base (0.2.3-1bionic) bionic; urgency=high

  * Integrate husky_customization workflow
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Wed, 08 Apr 2015 04:00:00 -0000

ros-melodic-husky-base (0.2.2-1bionic) bionic; urgency=high

  * Fix package urls
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Mon, 23 Mar 2015 04:00:00 -0000

ros-melodic-husky-base (0.2.1-1bionic) bionic; urgency=high

  * Add missing dependencies
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Mon, 23 Mar 2015 04:00:00 -0000

ros-melodic-husky-base (0.2.0-1bionic) bionic; urgency=high

  * Add UR5_ENABLED envvar
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Mon, 23 Mar 2015 04:00:00 -0000

ros-melodic-husky-base (0.1.5-1bionic) bionic; urgency=high

  * Fix duration cast
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Thu, 19 Feb 2015 05:00:00 -0000

ros-melodic-husky-base (0.1.4-1bionic) bionic; urgency=high

  * Correct issues with ROS time discontinuities - now using monotonic time source
  * Implement a sane retry policy for communication with MCU
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Fri, 13 Feb 2015 05:00:00 -0000

ros-melodic-husky-base (0.1.3-1bionic) bionic; urgency=high

  * Update description and maintainers
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Fri, 30 Jan 2015 05:00:00 -0000

ros-melodic-husky-base (0.1.2-1bionic) bionic; urgency=high

  * Fix library install location
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Tue, 20 Jan 2015 05:00:00 -0000

ros-melodic-husky-base (0.1.1-1bionic) bionic; urgency=high

  * Add missing description dependency
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Tue, 13 Jan 2015 05:00:00 -0000

ros-melodic-husky-base (0.1.0-1bionic) bionic; urgency=high

  * Fixed encoder overflow issue
  * Ported to ros_control for Indigo release
  * Contributors: Mike Purvis, Paul Bovbel, finostro



=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
